Package pygccxml :: Package declarations :: Module calldef :: Class free_calldef_t

# type free_calldef_t

source code

                   object --+
                            |
    declaration.declaration_t --+
                                |
                        calldef_t --+
                                    |
                                   free_calldef_t

Known Subclasses:
  - free_function_t
  - , free_operator_t

base class for "callable" declarations that defined within C++ namespace

Instance Methods

__init__(self, *args, **keywords) | source code

__str__(self) Default __str__ method. | source code

function_type(self) returns function type. | source code

create_decl_string(self, with_defaults=True) | source code

Inherited from `calldef_t`: `__eq__`, `i_depend_on_them` Inherited from `declaration.declaration_t`: `__lt__`, `__ne__`

Properties

Inherited from `calldef_t`: `argument_types`, `arguments`, `demangled_name`, `does_throw`, `exceptions`, `has_ellipsis`, `has_extern`, `optional_args`, `overloads`, `required_args`, `return_type`

Inherited from `declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Method Details

### __init__(self, *args, **keywords)
(Constructor)

source code

Overrides: declaration.declaration_t.__init__

### __str__(self)
(Informal representation operator)

source code

Default __str__ method.

This version just returns the decl_string and the class. Derived classes may override this method to provide more detailed information.

A __str__ method for a declaration should always provide enough information so that it uniquely identifies the declaration and the user is able to find the declaration in his source code.

Overrides: declaration.declaration_t.__str__
  (inherited documentation)

### function_type(self)

source code

returns function type. See type_t hierarchy

### create_decl_string(self, with_defaults=True)

source code

Overrides: declaration.declaration_t.create_decl_string